<!DOCTYPE html>
	<head>
		<title>HerbBot</title>
		<link rel="stylesheet" type="text/css" href="/static/css/style.css"/>
	</head>
	<body>
		<div class="header">
      	<h1>HerbBot &gt; Settings</h1>
		</div>

		<div class="topnav">
			<a href="/">Home</a>
		</div>

		<div class="row">
			<form action="settings/save" method="POST">
				<div class="formcontainer">
						<div class="container">
							<h2>Soil moisture reading</h2>
					
							<label for="readSensor">Read sensor</label>
							<div class="check">
								<input name="readSensor" id="readSensor" type="checkbox" {{ readSensor }}>
							</div>			
					
							<label for="readInterval">Sensor read interval in seconds:</label>
							<input name="readInterval" id="readInterval" type="text" placeholder="Sensor read interval in seconds" value="{{ readInterval }}" required>
					
							<label for="dryValue">Dry soil warning value:</label>
							<input name="dryValue" id="dryValue" type="text" placeholder="Dry soil warning value" value="{{ dryValue }}" required autofocus>
					
							<h2>Automatic watering</h2>
					
							<label for="executeWaterSchedule">Execute watering schedule</label>
							<div class="check">							
								<input name="executeWaterSchedule" id="executeWaterSchedule" type="checkbox" {{ executeWaterSchedule }}>
							</div>			
					
					
							<label for="waterAmountInMl">Watering amount in ml:</label>
							<input name="waterAmountInMl" id="waterAmountInMl" type="text" placeholder="Watering amount in ml" value="{{ waterAmountInMl }}" required>
					
							<label for="pumpTime">pump time per ml:</label>
							<input name="pumpTime" id="pumpTime" type="text" placeholder="pump time per ml" value="{{ pumpTime }}" required>			
					
							<h2>Live image</h2>
					
							<label for="takeImage">Take Foto</label>
							<div class="check">							
								<input name="takeImage" id="takeImage" type="checkbox" {{ takeImage }}>			
							</div>
					
							<label for="imageInterval">Foto interval in seconds:</label>
							<input name="imageInterval" id="imageInterval" type="text" placeholder="Foto interval in seconds" value="{{ imageInterval }}" required>			
					
							<h2>Automation</h2>
							
							<label for="url">API url:</label>
							<input name="url" id="url" type="text" placeholder="API url" value="{{ url }}" required>
							
							<label for="user">API user:</label>
							<input name="user" id="user" type="text" placeholder="API user" value="{{ user }}" required>
							
							<label for="lightId">Device ID for light:</label>
							<input name="lightId" id="lightId" type="text" placeholder="DeviceID for light" value="{{ lightId }}" required>
							
							<label for="fanId">Device ID for fan:</label>
							<input name="fanId" id="fanId" type="text" placeholder="Device ID for fan" value="{{ fanId }}" required>
							
							<label for="runLight">Execute light schedule</label>
							<div class="check">							
								<input name="runLight" id="runLight" type="checkbox" {{ runLight }}>
							</div>
							
							<label for="runFan">Execute fan schedule</label>
							<div class="check">							
								<input name="runFan" id="runFan" type="checkbox" {{ runFan }}>
							</div>
					
							<input type="submit" class="savebutton" value="Save"/>					
					
					</div>
				</div>
			</form>
		</div>
		<div class="footer">
			<p>Version 1.0</p>
		</div>
	</body>
</html>